package com.yeejoin.amos.boot.module.tdc.api.enums;

import java.util.HashMap;
import java.util.Map;

public enum ModelNameEnum {

    amosOrgCode1("50*110","白鹤滩换流站"),
    amosOrgCode2("50*111","锦屏换流站");

    String amosOrgCode;
    String amosOrgName;

    ModelNameEnum(String amosOrgCode, String amosOrgName) {
        this.amosOrgCode = amosOrgCode;
        this.amosOrgName = amosOrgName;
    }

    public String getAmosOrgCode() {
        return amosOrgCode;
    }

    public void setAmosOrgCode(String amosOrgCode) {
        this.amosOrgCode = amosOrgCode;
    }

    public String getAmosOrgName() {
        return amosOrgName;
    }

    public void setAmosOrgName(String amosOrgName) {
        this.amosOrgName = amosOrgName;
    }

    public static Map<String,String> map = new HashMap<>();

    static{
        for(ModelNameEnum ModelNameEnum :ModelNameEnum.values()){
            map.put(ModelNameEnum.getAmosOrgCode(),ModelNameEnum.getAmosOrgName());

        }
    }
}
